<?php
	include'session.php';
	include'connection.php';
	include'../Retailers/functions.php';
?>
<html>
<head>
	<title>Lapu Bal By Seller</title>
	<!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    
	<link rel="icon" href="images/logo.png" type="image/gif" sizes="16x16">
	
	<!-- Admin CSS File Link -->
	<link rel="stylesheet" href="css/style.css">
	
	<!-- User JAVA SCRIPT File Link -->
	<script type="text/javascript" src="js/script.js"></script>

	
	<!-- Font Awesome Icone -->
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
	
	<style>
		.div1{
			background:;
			width:96%;
			margin:0 2%;
			padding:5px 10px;
		}
		.div1 input, .div1 select{
			height:40px;
			max-width:160px;
			font-size:14px;
			padding:5px;
			border-radius:5px;
			border:solid #6b5127 1px;
			overflow:hidden;
			margin:10px 5px;
		}
		input[type=submit]{
			background:#6b5127;
			color:white;
			transition:1s;
			cursor:pointer;
		}
		input[type=submit]:hover{
			background:white;
			color:#6b5127;
			transition:1s;
		}
		.div2{
			background:#f7f7f7;
			width:100%;
			height:450px;
			float:left;
			text-align:center;
			padding:5px;
			overflow:auto;
		}
		.div2 table{
			width:98%;
			text-align:center;
			font-size:13px;
			border-collapse:collapse;
			padding:2px 5px;
			margin:1%;
		}
        .div2 table tr:nth-child(odd){background:#f6f0e8;}
        .div2 table tr:nth-child(even){background:white; }
		table th{
			background:#6b5127;
			color:white;
			height:35px;
			border:solid white 1px;
			padding:2px 5px;
		}
		table td{
			height:30px;
			border:solid black 1px;
			padding:2px 5px;
		}
		
		#inpNum{display:none;}
		
		@media(max-width:768px)
		{
			.div1{
				background:;
				width:100%;
				height:auto;
				margin:10px 0 0 0;
				padding:0;
				text-align:center;
			}
			.div1 input,.div1 select{
				width:90%;
				margin:10px;
			}
			.div2{
				width:100%;
				margin:10px 0 0 0;
				padding:0px;
				text-align:center;
			}
		}
		

	</style>
	
	<link rel="stylesheet" href="css/mediaStyle.css">
</head>
<body>
	<!--Header Divison-->
	<?php
		require'header.php';
	?>
	
	<!--Container Division-->
	<div class="container">
		<?php
			include'menu.php';
		?>
		<div class="content" id="contentDiv">
			<div class="head">
				<div class="title"><i class="fa fa-bars" onclick="hideMenu()" style="float:left; margin:10px;"></i><p>Lapu Bal By Seller :-</p></div>
				<div class="msg"><marquee><?php include'msg.php'; ?></marquee></msg>
			</div><hr>
			<div class="data-content">
			    <script>
			        function hideMenu()
			        {
			            if(document.getElementById("navHide").style.display!="none")
			            {
			                document.getElementById("navHide").style.display = "none";
			                document.getElementById("contentDiv").style.width = "100%";
			            }
			            else
			            {
			                document.getElementById("navHide").style.display = "inline";
			                document.getElementById("contentDiv").style.width = "82%";
			            }
			        }
			        
			        
			        function diffType()
			        {
			            var DiffType = document.getElementById("Diff").value;
			            
			            if(DiffType=="ALL")
			            {
			                document.getElementById("status").style.display= "inline";
			                document.getElementById("inpNum").style.display= "none";
			            }
			            else
			            {
			                document.getElementById("status").style.display= "none";
			                document.getElementById("inpNum").style.display= "inline";
			            }
			        }
			    </script>
			    <?php
			        $lapuNo=$_GET['lapuNo'];
			        $orderId=$_GET['rechId'];
			        $rechDate=$_GET['rechDate'];
			        
			        if(isset($_POST['submit']))
			        {
			            $DateValue=$_POST['date'];
						$seller = $_POST['seller'];
			        }
			        else
			        {
			            $DateValue=$date;
			        }
			    ?>
			    <form method="post">
					<div class="div1">
						<input type="date" name="date" id="date1" value="<?php echo $DateValue; ?>">
						<select name="seller">
		                    <option>--SELECT SELLER--</option>
						    <?php
						        $quSeller="SELECT * FROM Seller ORDER BY Name ASC";
						        $reSeller=mysqli_query($con,$quSeller);
						        while($dataSeller=mysqli_fetch_array($reSeller))
						        {
						            echo "<option>".$dataSeller['Name']."</option>";
						        }
						    ?>
						</select>
						<input type="submit" name="submit" value="Submit"  onclick='showLoader()'>
					</div>
				</form>
				<div class="div2">
					<table cellpadding="20" border="2"> 
						<tr>
							<th>Date</th>
							<th>Time</th>
							<th>Seller</th>
							<th>Lapu No.</th>
							<th>Balance</th> 
							<th>Real Bal</th> 
						</tr>
						<?PHP
							if(isset($_POST['submit']))
							{
								$date = $_POST['date'];
								$seller = $_POST['seller'];
								$totalBal=0;
								$totalRealBal=0;
								$quLapu="SELECT LapuNumber FROM myapi WHERE Seller='$seller' AND LastUpdate>='2022-10-30'";
								$reLapu=mysqli_query($con,$quLapu);
								while($dataLapu=mysqli_fetch_array($reLapu))
								{
								    $lapuNo=$dataLapu['LapuNumber'];
								    
								    $quRech="SELECT *  FROM recharge WHERE Rechargedate='$date' AND LapuNo='$lapuNo' AND Status='SUCCESS' ORDER BY Id DESC";
								    $reRech=mysqli_query($con,$quRech);
								    $dataRech=mysqli_fetch_array($reRech);
								    $comm=$dataRech['ApiBal']*5/100;
								    $realBal=$dataRech['ApiBal']-$comm;
								    echo "<tr>";
								        echo "<td>".$date."</td>";
								        echo "<td>".$dataRech['Time']."</td>";
								        echo "<td>".$seller."</td>";
								        echo "<td>".$dataRech['LapuNo']."</td>";
								        echo "<td>".$dataRech['ApiBal']."</td>";
								        echo "<td>".$realBal."</td>";
								    echo "</tr>";
								    
								    $totalBal=$totalBal+$dataRech['ApiBal'];
								    $totalRealBal=$totalRealBal+$realBal;
								}
								echo "<tr>";
								    echo "<th></th>";
								    echo "<th></th>";
								    echo "<th></th>";
								    echo "<th>Total</th>";
								    echo "<th>".$totalBal."</th>";
								    echo "<th>".$totalRealBal."</th>";
								echo "</tr>";
							}
						?>
					</table>
				</div>
			</div>
		</div>
	</div>
	<?php
		require'footer.php';
	?>
</body>
</html>